#
# spec file for package messagingframework
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           messagingframework
%define rname   qmf
Summary:        Qt Messaging Framework (QMF)
Version:        2011w23.2
Release:        1.4
Group:          System/Libraries
License:        LGPL-2.0
URL:            http://qt.gitorious.org/qt-labs/messagingframework/
Source0:        %{rname}-%{version}.tar.bz2
Patch1:         messagingframework-install-plugins-under-lib.patch
Patch2:         messagingframework-install-tests-under-share.patch
Patch3:         includes.patch
Patch4:         cxx_flags.patch
BuildRequires:  libicu-devel
BuildRequires:  libqt4-devel
BuildRequires:  libQtWebKit-devel
BuildRequires:  chrpath

BuildRoot:  %{_tmppath}/%{name}-%{version}-build

%description
The Qt Messaging Framework, QMF, consists of a C++ library and daemon
server process that can be used to build email clients, and more
generally software that interacts with email and mail servers.


%package devel
Summary:    Development files for %{name} (QMF)
Group:      Development/Languages/C and C++
Requires:   %{name} = %{version}

%description devel
This package contains development libraries and headers necessary to
build software using %{name}, the Qt Messaging Framework (QMF)


%prep
%setup -q -n %{rname}-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
export PATH=$PATH:%{_libdir}/qt4/bin
export QMF_INSTALL_ROOT=%{_prefix}
qmake QMF_INSTALL_ROOT=$QMF_INSTALL_ROOT

# Call make instruction with smp support
make %{?jobs:-j%jobs}

%install
%makeinstall INSTALL_ROOT=%{buildroot}

%ifarch x86_64
mkdir %{buildroot}%{_libdir}
mv %{buildroot}%{_prefix}/lib/* %{buildroot}%{_libdir}
%endif

# messagingframework.pc  
mkdir -p %{buildroot}%{_libdir}/pkgconfig
cat >%{buildroot}%{_libdir}/pkgconfig/QtMessagingFramework.pc<<EOF
libdir=%_libdir
includedir=%{_includedir}/QtMessagingFramework

Name: Qtmessagingframework
Description: Qt Messaging Framework
Version: %{version}
EOF

chrpath --delete %{buildroot}%{_libdir}/qt4/tests/messagingframework/tst_*

%check
make check

%clean
rm -rf %{buildroot}

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_bindir}/messageserver
%{_bindir}/messagingaccounts
%{_bindir}/qtmail
%{_bindir}/serverobserver
%{_libdir}/libqmfclient.so.1*
%{_libdir}/libqmfmessageserver.so.1*
%{_libdir}/libqmfutil.so.1*
%{_libdir}/qt4/plugins/composers/
%{_libdir}/qt4/plugins/contentmanagers/
%{_libdir}/qt4/plugins/messageservices/
%{_libdir}/qt4/plugins/viewers/

%files devel
%defattr(-,root,root,-)
%{_includedir}/qmfclient/
%{_includedir}/qmfmessageserver/
%{_libdir}/libqmfclient.so
%{_libdir}/libqmfmessageserver.so
%{_libdir}/libqmfclient.prl
%{_libdir}/libqmfmessageserver.prl
%{_libdir}/libqmfutil.so
%{_libdir}/qt4/tests/
%{_libdir}/pkgconfig/*.pc

%changelog
* Sun Apr 21 2013 hrvoje.senjan@gmail.com
- Update to version 2011w23.2
- Added includes.patch and cxx_flags.patch, fixes build for >= 12.2
* Fri Mar 16 2012 toddrme2178@gmail.com
- Update to latest version
- Cleaned up spec file formatting
- Cleaned up buildrequires
- Rebased patches
* Fri Feb 11 2011 adrian@suse.de
- fix build for factory
- run test suite during build
* Thu Aug  5 2010 andrea@opensuse.org
- fixed 64bit building
* Mon Aug  2 2010 andrea@opensuse.org
- fixed spec file
  - added chrpath to clean rpath failure
- fixed patches to apply new sources
- dropped messagingframework-install-headers.patch
* Tue Jun 15 2010 awafaa@opensuse.org
- Initial import for openSUSE version 2010W10
* Sat Mar 13 2010 kaitlin.rupert@linux.intel.com
- Update source
- Install plugins to QT plugin install location
- Include libraries in source package, sym links to libraries in devel package
* Thu Mar  4 2010 kaitlin.rupert@linux.intel.com
- Initial import
